#!/bin/sh

# Copy certs-gen.sh into the mounted /certs volume if it doesn't exist
if [ ! -f /certs/private_key.pem ]; then
    echo "Generating RSA key pair..."
    openssl genrsa -out /certs/private_key.pem 2048
    openssl rsa -in /certs/private_key.pem -pubout -out /certs/public_key.pem
fi

# Launch the application
exec dotnet Server.dll --urls http://+:5000